% Do the replaces
% rROI10Export = ROI10Export;
% for r = 1:length(ROI10Export)
%    rROI10Export(r).new = {replace(rROI10Export(r).origin,'E:\IFMproject\STORM_Raw\','L:\To_Batch\Szikora_Szilrd\')};
%    rROI10Export(r).origin = {replace(replace(rROI10Export(r).origin,'E:\IFMproject\STORM_Raw\','L:\Measurements\Szikora_Szilrd\'),'reviewedSupResParams','SupResParams')};
%    rROI10Export(r).newdir = {fileparts(rROI10Export(r).new{1})};
% end
% dirlist = unique([rROI10Export.newdir]');

% for d = 1:length(dirlist)
%     mkdir(dirlist{d});
% end


%%
% originlist = unique([rROI10Export.origin]');
% newlist = unique([rROI10Export.new]');

%%
% subfolders = [ "aActinin"; "FliI_H"; "Projectin"; "Sls700_B2"; "TmodhistData"; ...
%         "DAAM_PD"; "KettinIg16"; "ProjectinP5"; "TM"; "TroponinC"; "Fhos"; ...
%         "KettinIg34"; "SALS_H"; "Tmod"; "ZorminB1" ...
% ];
% 
% for s = 1:length(subfolders)
%     mkdir('L:\To_Batch\Szikora_Szilrd\ReRe_DoubleLine\',subfolders(s));
% end
%%

for o = 1:length(newlist)
    reviewedParams = [];
    ReadInTable = table2struct(readtable(newlist{o}),'ToScalar',true);
    for tableIndex = 1:length(ReadInTable.frame_idx)
        reviewedParams(tableIndex).frame_idx = ReadInTable.frame_idx(tableIndex)';
        reviewedParams(tableIndex).x_coord = ReadInTable.x_coord(tableIndex)';
        reviewedParams(tableIndex).y_coord = ReadInTable.y_coord(tableIndex)';
        reviewedParams(tableIndex).I = ReadInTable.I(tableIndex)';
        reviewedParams(tableIndex).sig_x = ReadInTable.sig_x(tableIndex)';
        reviewedParams(tableIndex).sig_y = ReadInTable.sig_y(tableIndex)';
        reviewedParams(tableIndex).x_std = ReadInTable.x_std(tableIndex)';
        reviewedParams(tableIndex).y_std = ReadInTable.y_std(tableIndex)';
        reviewedParams(tableIndex).avg_brightness = ReadInTable.avg_brightness(tableIndex)';
        reviewedParams(tableIndex).Sum_signal = ReadInTable.Sum_signal(tableIndex)';
        if isfield(ReadInTable, 'Sum_signal_ph')
            reviewedParams(tableIndex).Sum_signal_ph = ReadInTable.Sum_signal_ph(tableIndex)';
        end
    end
    reviewedPosits = [[reviewedParams.x_coord]' [reviewedParams.y_coord]'];
    % Read in exports
    
    for e = 1:length(rROI10Export)
        if strcmp(rROI10Export(e).new{1}, newlist{o})
            disp(rROI10Export(e).new{1});
            SectionInfo = rROI10Export(e).SectionInfo;
            export_name = rROI10Export(e).export_name;

            selectedRows = ( (reviewedPosits(:,1) > SectionInfo(2,1)) & ...
                (reviewedPosits(:,1) < SectionInfo(2,2)) & ...
                (reviewedPosits(:,2) > SectionInfo(1,1)) & ...
                (reviewedPosits(:,2) < SectionInfo(1,2)) );

            bridgedParams = reviewedParams( selectedRows )';

            X=[bridgedParams.x_coord; bridgedParams.y_coord]'.*160;

            %% Export
            export.SectionParams = bridgedParams;
            export.SectionPosits = X;
            export.SectionInfo = SectionInfo;
            export.SectionRawDataFullFilename = newlist{o};
            export.export_name = export_name;
            % assignin('base',export.export_name,export);
            rROI10Export(e).newfilename = {replace(rROI10Export(e).filename,'C:\Users\gajdo\Documents\DATA\Re_DoubleLine\','L:\To_Batch\Szikora_Szilrd\ReRe_DoubleLine\')};
            save(rROI10Export(e).newfilename{1}, 'export');
        end
    end
end